cudf2lp(1)

NAME
cudf2lp - a preprocessor for CUDF documents

SYNOPSIS
cudf2lp [OPTION]... [FILE]

DESCRIPTION
cudf2lp simplifies a given CUDF specification and converts it into a set of facts suitable to be processed with an ASP grounder and solver - e.g., gringo(1) and clasp(1). It is intended to be called by aspcud(1), but may also be used independently. It reads from the given FILE or from standard input if ommited.

OPTIONS
cudf2lp supports the following options:

-h, --help
    print help text

-v, --version
    print version and license information

-V, --verbose[=N]
    set the verbosity level to N or the maximum if omitted

-c CRITS, --criterion=CRITS
    preprocess for specific optimization criteria (defaults to none):
      CRITS: none | paranoid | trendy | CRIT\(','CRIT\)*
      CRIT : SIGN count(SET) |
           | SIGN sum(SET,ATTR)
           | SIGN unsat_recommends(SET)
           | SIGN aligned(SET,ATTR,ATTR)
           | SIGN notuptodate(SET)
      SIGN : '+' | '-'
      ATTR : CUDF attribute name
      SET : solution | changed | new | removed | up | down
           | installrequest | upgraderequest | request for backwards compatibility, the following aliases can be used:
      new = count(new)
      removed = count(removed)
      changed = count(changed)
      notuptodate = notuptodate(solution)
      unsat_recommends = unsat_recommends(solution)
      sum(name) = sum(name,solution)

--addall
    disable preprocessing and add all packages

AUTHOR
cudf2lp has been written by Roland Kaminski.

SEE ALSO
aspcud(1), gringo(1), clasp(1), and <http://www.mancoosi.org/cudf/> for the specification of the CUDF format.